.container-fluid {
    padding: 0;
}

.app-navbar.navbar {
    height: 60px;
    padding: 0 12px;
    background-color: #434343;
}

.app-navbar.navbar .navbar-brand {
    padding: 0;
}

.app-navbar.navbar #form-add-channel {
    flex: 1;
}

.app-navbar.navbar #search {
    background-color: #717171;
    color: #fefefe;
    border-color: #bcb9b9;
}

.app-navbar.navbar #search::placeholder {
    color: #d8d8d8;
}

.app-navbar.navbar button {
    margin-right: 10px;
}

.app-navbar.navbar button:last-child {
    margin-right: 0;
}

.app-navbar .navbar-brand .title {
    color: #fefefe;
    font-size: 36px;
    display: block;
    margin-bottom: -5px;
}

.app-navbar .navbar-brand .subtitle {
    color: #bfbfbf;
    font-size: 11px;
    display: block;
    margin-left: 5px;
}

#content {
    display: flex;
    min-height: calc(100vh - 60px);
    overflow: hidden;
}

#screen {
    display: flex;
    flex-wrap: wrap;
    flex-direction: column;
    background-color: #282828;
    min-width: calc(100% - 352px);
    transition: min-width;
    transition-duration: 0.3s;
    transition-timing-function: ease-in-out;
}

#screen.full {
    min-width: 100%;
}

#screen #iframes {
    display: flex;
    flex-wrap: wrap;
    flex: 1;
    background-color: #282828;
    z-index: 1;
}

#screen iframe {
    display: flex;
    flex-grow: 1;
    min-width: 324px;
    min-height: 183px;
}

#chat {
    width: 704px;
    min-height: calc(100vh - 60px);
    display: flex;
    flex: 1;
    flex-direction: row;
    background-color: #323232;
    z-index: 2;
}

#chat #channel-list {
    width: 352px;
    display: flex;
    overflow-y: auto;
    padding-top: 10px;
}

#chat ul {
    padding: 0;
    margin: 0;
    list-style-type: none;
    width: 100%;
}

#chat li {
    display: flex;
    color: #b2b2b2;
    margin: 0 16px;
    border-bottom: 1px solid #B6B6B6;
    line-height: 34px;
    padding-left: 10px;
}

#chat li.loading {
    padding-top: 3px;
    padding-bottom: 3px;
}

#chat li a {
    display: flex;
    flex: 1;
}

#chat li .buttons {
    display: inline-block;
}

#chat li button {
    color: #a3a3a3;
}

#chat #chatbox {
    display: flex;
    flex-direction: column;
    width: 352px;
    min-height: calc(100vh - 60px);
    background-color: #323232;
}

#chat #chatbox.open {
    transform: translateX(-352px);
    transition-duration: 0.5s;
    transition-timing-function: ease-in-out;
}

#chat #chatbox.close {
    transform: translateX(0px);
    transition-duration: 0.5s;
    transition-timing-function: ease-in-out;
}

#chat #chatbox .chat-navbar {
    padding: 4px;
}

#chat #chatbox #chat-title {
    pointer-events: none;
    color: #dedede;
}

#chat #chatbox .loader {
    display: flex;
    flex: 1;
    justify-content: center;
    align-items: center;
    color: #fefefe;
    min-height: 100%;
}

@media screen and (min-width: 612px) {
    .app-navbar.navbar #form-add-channel {
        flex: initial;
    }
}